Introduction
============

The Octave MIDI package provides MIDI device functions for GNU Octave

Requirements
============

* Octave >= 4.0.0

* [RTMIDI](https://github.com/thestk/rtmidi) library and include files 


Installing
==========

To install, run the octave package manager:

1. If running Windows, the package may already be installed:

2. To install from source forge:
   pkg install -forge midi

3. To install from a local tarball.
   pkg install midi-XXXXXXX.tar.gz
   Where XXXXXXX is the version of the the downloaded tarball.

Usage:
======

1. Load the package.
   pkg load midi
   (Required each time Octave is started)

2. Type help midi at the octave prompt to display a list of functions

Documentation
==============

See the function list for octave-midi on [octave forge](https://octave.sourceforge.io/midi/overview.html) for function documentation.

See the online manual for octave-midi on [octave forge](https://octave.sourceforge.io/midi/package_doc/) for complete documentation.

Read the Octave [Octave midi package wiki](https://wiki.octave.org/Midi_package) for install tips and examples.

Known limitations and bugs
==========================

None provided
